Carbon Copy Cloner updated to 3.3.7

Posted by:
Date: Wednesday, November 24th, 2010, 07:34
Category: News, Software

carbon.jpg

Late Tuesday, Carbon Copy Cloner, the shareware favorite for drive cloning operations by Mike Bombich, reached version 3.3.7. The new version, a 4 megabyte download, adds the following fixes and changes:

- Resolved in issue introduced by Mac OS X 10.6.5 in which errant messages related to allocating memory for ACLs were reported.

- Improved several progress indication irregularities.

- Fixed a problem affecting some Tiger users in which the source and target menus were not properly populated.

- The “Show log” button that is presented when the scheduled task helper application reports a problem will work more consistently now.

- Minor errors will no longer prevent CCC from blessing the target volume.

- Fixed a minor scheduling issue in which tasks that ran after 11PM could not be (re)scheduled to run before 11PM on the next day.

- Fixed a regression introduced by CCC 3.3.5 in which deny Access Control Entries were not preserved. Simply re-running a backup task with this updated version of CCC will repair any of the affected ACEs on the target volume.

- Resolved an issue in which CCC would errantly report that the connection to a remote Macintosh had been dropped when two minutes had elapsed without encountering any files that needed to be updated.

- The software update mechanism used by the scheduled task helper application (introduced in version 3.3.4) now uses the interval settings defined in the main application. Additionally, when the scheduled task helper application determines that an update is available and launches the main application to perform the update, the main application will now be more reliable about immediately executing the update procedure

- Fixed a race condition involving multiple scheduled tasks trying to roll the same log file (e.g. on startup).

Carbon Copy Cloner 3.3.7 retails for a US$10 shareware registration fee. The application requires Mac OS X 10.4 or later to run.

Recent Posts